v1.5.0rc2 アップデートメモ

特に難しいことはなく、rc1 からのアップデートなら…… assets:precompile に30分ぐらいかかるだけで。これもうちょっとリソース割り当ててる本番環境ならもうちょっと早くなるんですかね……(※ たぶんならない)

ちょっと気になる warning に気付いたので。

warning Your current version of Yarn is out of date. The latest version is "0.27.5" while you're on "0.24.5".
info To upgrade, run the following command:
$ npm upgrade --global yarn
$ npm rebuild node-sass

> node-sass@4.5.3 install /home/mastodon/live/node_modules/node-sass
> node scripts/install.js

Cached binary found at /home/mastodon/.npm/node-sass/4.5.3/linux-x64-48_binding.node

> node-sass@4.5.3 postinstall /home/mastodon/live/node_modules/node-sass
> node scripts/build.js

Binary found at /home/mastodon/live/node_modules/node-sass/vendor/linux-x64-48/binding.node
Testing binary
Binary is fine
node-sass@4.5.3 /home/mastodon/live/node_modules/node-sass

yarn のバージョンが古いんじゃゴルァ とか言っているらしい。言われたとおりに……

# npm upgrade --global yarn
# npm rebuild node-sass

……してから、もう1回 assets:precompile してみた。特に問題はないみたい。

https://manimani.cc/lib/plugins/linkback/exe/trackback.php/blog:2017:20170729180640_mastodon_v150rc2